Bug 439978 - [pci resource conflict] snd_hda_intel: no sound since update to 2.6.24
[pci resource conflict] snd_hda_intel: no sound since update to 2.6.24
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-01 02:35 EDT by Christophe GRENIER
Modified: 2008-04-29 16:54 EDT (History)
1 user (show)

See Also:
Fixed In Version: 2.6.24.5-85.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-29 16:54:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christophe GRENIER 2008-04-01 02:35:00 EDT
Description of problem:
snd_hda_intel: no sound since update to 2.6.24

Version-Release number of selected component (if applicable):
2.6.24.3-50.fc8

How reproducible:
Always

Steps to Reproduce:
With an ASUS P5B Plus motherboard,
1. modprobe snd_hda_intel
or
1. modeprobe snd_hda_intel model=asus
  
Actual results:
ACPI: PCI Interrupt 0000:00:1b.0[A] -> GSI 22 (level, low) -> IRQ 22
PCI: Unable to reserve mem region #1:4000@febf8000 for device 0000:00:1b.0
ACPI: PCI interrupt for device 0000:00:1b.0 disabled
HDA Intel: probe of 0000:00:1b.0 failed with error -16

No sound

00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller
(rev 02)
        Subsystem: ASUSTeK Computer Inc. Unknown device 81ec
        Control: I/O- Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B- DisINTx-
        Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort-
<MAbort- >SERR- <PERR- INTx-
        Interrupt: pin A routed to IRQ 22
        Region 0: Memory at febf8000 (64-bit, non-prefetchable) [size=16K]
        Capabilities: [50] Power Management version 2
                Flags: PMEClk- DSI- D1- D2- AuxCurrent=55mA
PME(D0+,D1-,D2-,D3hot+,D3cold+)
                Status: D0 PME-Enable- DSel=0 DScale=0 PME-
        Capabilities: [60] Message Signalled Interrupts: Mask- 64bit+ Queue=0/0
Enable-
                Address: 0000000000000000  Data: 0000
        Capabilities: [70] Express (v1) Root Complex Integrated Endpoint, MSI 00
                DevCap: MaxPayload 128 bytes, PhantFunc 0, Latency L0s <64ns, L1
<1us
                        ExtTag- RBE- FLReset-
                DevCtl: Report errors: Correctable- Non-Fatal- Fatal- Unsupported-
                        RlxdOrd- ExtTag- PhantFunc- AuxPwr- NoSnoop+
                        MaxPayload 128 bytes, MaxReadReq 128 bytes
                DevSta: CorrErr- UncorrErr- FatalErr- UnsuppReq- AuxPwr+ TransPend-
                LnkCap: Port #0, Speed unknown, Width x0, ASPM unknown, Latency
L0 <64ns, L1 <1us
                        ClockPM- Suprise- LLActRep- BwNot-
                LnkCtl: ASPM Disabled; Disabled- Retrain- CommClk-
                        ExtSynch- ClockPM- AutWidDis- BWInt- AutBWInt-
                LnkSta: Speed unknown, Width x0, TrErr- Train- SlotClk-
DLActive- BWMgmt- ABWMgmt-
        Kernel modules: snd-hda-intel

$ ls -l /dev/dsp
ls: cannot access /dev/dsp: No such file or directory
$ ls -l /dev/snd/*C0*
ls: cannot access /dev/snd/*C0*: No such file or directory


Expected results:
Sound! No problem with kernel 2.6.23

Additional info:
This problem may be fixed by
http://tree.celinuxforum.org/gitstat/commit-detail.php?commit=0509ad5e1a7d9220f09edd5be114bf3bd51a7023
Comment 1 Christophe GRENIER 2008-04-01 17:56:44 EDT
kernel-2.6.25-0.172.rc7.git4.fc9.x86_64 is not affected by this bug
Comment 2 Chuck Ebbert 2008-04-02 18:24:05 EDT
The overlapping resources fix went into kernel 2.6.24.4-70
Comment 3 David M 2008-04-09 19:56:52 EDT
Same motherboard here, same problem
Comment 4 Fedora Update System 2008-04-21 20:04:40 EDT
kernel-2.6.24.5-85.fc8 has been submitted as an update for Fedora 8
Comment 5 Fedora Update System 2008-04-22 18:43:08 EDT
kernel-2.6.24.5-85.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kernel'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-3260
Comment 6 Fedora Update System 2008-04-29 16:54:30 EDT
kernel-2.6.24.5-85.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.